smidiff(1)

NAME
smidiff - check differences between a pair of SMI or SPPI modules

SYNOPSIS
smidiff [ -Vhsm ] [ -c file ] [ -l level ] [ -i error-pattern ] [ -p module ] oldmodule newmodule

DESCRIPTION
The smidiff program is used to check differences between a pair of SMI MIB modules or SPPI PIB modules. E.g., it can be used to detect changes in updated MIB modules that can cause interoperability problems with existing implementations. SMIv1/v2, SPPI and SMIng style MIB modules are supported.

Note that conformance statements are currently not checked.

Messages describing the differences are written to the standard output channel while error and warning messages generated by the parser are written to the standard error channel.

OPTIONS

-V, --version
    Show the smidump version and exit.

-h, --help
    Show a help text and exit.

-s, --severity
    Show the error severity in brackets before error messages.

-m, --error-names
    Show the error names in braces before error messages.

-c file, --config=file
    Read file instead of any other (global and user) configuration file.

-p module, --preload=module
    Preload the module module before reading the main module(s). This may be helpful if an incomplete main module misses to import some definitions.

-l level, --level=level
    Report errors and warnings up to the given severity level. A higher level shows more warnings. The actual severity levels are:

     0   internal error, no recovery possible,
     1   major SMI/SPPI error, recovery somehow possible but
         may lead to severe problems,
     2   SMI error, probably tolerated by some
         implementations,
     3   SMI/SPPI error, tolerated by many implementations,
     4   something which is recommended to be changed,
     5   something that might be ok, but might not be
         recommended under some circumstances,
     6   just a notice.

-i prefix, --ignore=prefix
    Ignore all errors that have a tag which matches prefix.

oldmodule
    The original module.

newmodule
    The updated module.

If a module argument represents a path name (identified by containing
at least one dot or slash character), this is assumed to be the exact
file to read. Otherwise, if a module is identified by its plain module
name, it is searched according to libsmi internal rules. See
smi_config(3) for more details.

SEE ALSO
The libsmi(3) project is documented at http://www.ibr.cs.tu-bs.de/projects/libsmi/.

AUTHOR
(C) 2001 T. Klie, TU Braunschweig, Germany <tklie@ibr.cs.tu-bs.de>
(C) 2001 J. Schoenwaelder, TU Braunschweig, Germany <schoenw@ibr.cs.tu-bs.de>
and contributions by many other people.